# draugr.writers.mixins.image_writer_mixin.ImageWriterMixin

class draugr.writers.mixins.image_writer_mixin.ImageWriterMixin

  Bases: `ABC`

  Writer subclass that provides an interface for ‘writing’ images +Bonus points for handling other multichannel rasters C!=1 and C!=3

  __init__()

  Methods

  `__init__`() |

  `image`(tag, data, step, *[, dataformats])

  param tag

  class MultiChannelMethodEnum(value)

    Bases: `Enum`

    An enumeration.

  abstract image(tag: str, data: Union [ ndarray , Tensor, Image], step, *, dataformats: str = 'NCHW', **kwargs) → None
    Parameters

      - tag –

      - data –

      - step –

      - dataformats –

      - kwargs –